Bug 174571 - yum installs the wrong architecture variant of kernel devel on an AMD system
yum installs the wrong architecture variant of kernel devel on an AMD system
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2005-11-30 05:17 EST by Alistair Riddoch
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-02 06:52:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alistair Riddoch 2005-11-30 05:17:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When installing a new kernel on an Athlon XP system running an i586 kernel, yum also selects kernel-devel for installation as kernel-devel is installed for the older kernel. However yum selects the i686 version of kernel-devel rather than the i586 version to match the i586 version of the kernel that is being installed. As a result kernel modules build against these sources do not work.

The following fragment from the output of yum shows the mismatch:

 Package                 Arch       Version          Repository        Size 
 kernel                  i586       2.6.14-1.1719_FC5  development        12 M
 kernel-devel            i686       2.6.14-1.1719_FC5  development       4.4 M

Version-Release number of selected component (if applicable):
yum-2.4.0-0.fc4 yum-2.4.0-14

How reproducible:

Steps to Reproduce:
1.Use yum to update kernel and kernel devel on an AMD Athlon XP system.

Actual Results:  kernel.i586 is installed, and kernel-devel.i686 is installed.

Expected Results:  kernel.i586 is installed, and kernel-devel.i586 should be installed.

Additional info:
Comment 1 Seth Vidal 2005-11-30 08:02:56 EST
There's no arch-specific relationship b/t the kernel-devel package and the
kernel package.

So yum is taking simply the best arch it can use on this system. And since i686
packages will run just fine on Athlon XPs it is using those.

Why are you using i586 kernels on an athlon xp anyway?

If you run yum install kernel-devel.i586
does that work?
Comment 2 Alistair Riddoch 2005-11-30 09:26:22 EST
I did not at any point deliberatly pick i586 kernels. These are the kernels
that were installed initially, and by yum ever since.

Running "yum install kernel-devel.i586" gives the following message:

Nothing to do

unless all kernel-devel packages have been removed first, in which case it works
Comment 3 Seth Vidal 2005-11-30 09:46:14 EST
How long have you been upgrading this box?

When was it originally installed via anaconda?
Comment 4 Alistair Riddoch 2005-11-30 09:50:59 EST
A long while. Probably since there were kernel packages for athlon. I will try
i686 kernels once I have physical access this evening.
Comment 5 Seth Vidal 2005-11-30 09:57:12 EST
yah - do that I think you'll find it will all work just fine after that.

Comment 6 Alistair Riddoch 2005-12-02 06:51:30 EST
Issue resolved with i686 kernel installed

Note You need to log in before you can comment on or make changes to this bug.